/* EmptyFont.java */

/* 
 * Copyright (C) 1998, Andrew Paterson <ajpaterson@burnsos.com>
 *
 * This file is part of a filter for Muffin.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.doit.muffin.filter;

import org.doit.muffin.*;
import org.doit.html.*;

public class EmptyFont implements FilterFactory
{
    FilterManager manager;
    Prefs prefs;
    EmptyFontFrame frame = null;
    MessageArea messages = null;

    public void setManager (FilterManager manager)
    {
	this.manager = manager;
    }
    
    public void setPrefs (Prefs prefs)
    {
	this.prefs = prefs;

	boolean o = prefs.getOverride ();
	prefs.setOverride (false);
        prefs.putBoolean ("EmptyFont.debug", false);
        prefs.putInteger ("EmptyFont.historySize", 500);
        prefs.setOverride (o);

        messages = new MessageArea (prefs.getInteger ("EmptyFont.historySize"));
    }

    public Prefs getPrefs ()
    {
	return prefs;
    }

    public void viewPrefs ()
    {
	if (frame == null)
	{
	    frame = new EmptyFontFrame (prefs, this);
	}
	frame.setVisible (true);
    }
    
    public Filter createFilter ()
    {
	Filter f = new EmptyFontFilter (this);
	f.setPrefs (prefs);
	return f;
    }

    public void shutdown ()
    {
	if (frame != null)
	{
	    frame.dispose ();
	}
    }

    void save ()
    {
	manager.save (this);
    }

/*
    void process (String s)
    {
	messages.append (s);
    }
*/

    void debug (String s)
    {
	if (prefs.getBoolean ("EmptyFont.debug"))
	{
	    messages.append (s);
	}
    }
}

